# Magento 2 - Improved Import / Export extension  

We’ve started a new project aimed at improving the default Magento 2 import / export functionality. Although this process is significantly refined now, it still lacks some important features; therefore we are developing this Magento 2 extension. Now, you can easily import product custom options, product images from remote URL, or tier prices out-of-the-box, but there is still room for improvement. 

The Improved Import / Export Magento 2 extension provides the ability to import a CSV file with product data and product images from a remote FTP server or a cloud storage such as Dropbox, Box, or Google Drive. There is also an opportunity to perform the export of products and images to the same location. Due to a scheduled cron job feature, the extension offers automated product updates from a cloud storage. Thus, you can easily connect your Magento 2 store with 3th party tools, warehouses, product inventory management (PIM) systems, etc. As you can see, Improved Import / Export for Magento 2 is useful for automated product stock status updates as well as any other product attribute updates.

<h2>Improved Import features</h2> 

<h3>Free version features</h3>

The free version of Improved Import offers the following features:

- product images import from Dropbox or via Custom URL and FTP 
- csv file import from Dropbox or via Custom URL and FTP 

<h3>Full paid version features</h3>

The paid one adds:
- Google Drive and Box integration (the free version supports only Dropbox)
- Scheduled cron job for csv file import from all supported sources. This is a great solution for keeping product stocks and data updated automatically. 
- CSV file product export to Box, Google Drive, Dropbox, or other sources via FTP
- Product images export to Box, Google Drive, Dropbox, or other sources via FTP

<img src="https://firebearstudio.com/files/m2import/magento2-dropbox-box-drive-ftp-products-images-import.png" alt="Magento 2 import from Dropbox, Box, Google, FTP" />

<img src="https://firebearstudio.com/files/m2import/magento-import-dropbox.png" alt="Magento 2 import from Dropbox, Box, Google, FTP" />

For further information, read this post: <a href="https://firebearstudio.com/blog/the-improved-import-export-magento-2-extension-by-firebear.html" title="The Improved Import / Export Magento 2 Extension by Firebear" ><strong>The Improved Import / Export Magento 2 Extension by Firebear</strong></a>
